Page MenuHomePhabricator

Fix aggregation of "MediaWiki.RevisionSlider.event.load.sum" from average to sum
Closed, ResolvedPublic

Description

Similar to T199968#4455425 some investigation after being confused by numbers has lead us to find the aggregation of the metric is wrong.

Metric name: "MediaWiki.RevisionSlider.event.load.sum"

addshore: \o godog, is there any chance you could check the aggregation of a couple of graphite metrics for me? I'm doing an investigation similar to https://phabricator.wikimedia.org/T199968
addshore: godog: the metric is MediaWiki.RevisionSlider.event.load.sum
godog: addshore: hi, sure, yeah same thing, aggregationMethod: average
godog: addshore: I'm off to lunch, bbl
addshore: godog: thanks, I'll file a ticket for fixing it so we can track this!

It would be nice if someone could write and run a script on graphite to audit all of the metric aggregation methods.
We have hit 2 metrics somehow affected by this now and I imagine there might also be more.

Event Timeline

Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptSep 25 2018, 11:10 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore updated the task description. (Show Details)Sep 25 2018, 11:12 AM
Addshore added a project: Operations.
jijiki triaged this task as Low priority.Oct 23 2018, 12:28 PM

Since this task was marked as low: The fact that metrics are aggregated by average and not by sum makes the most important dashboards of the RevisionSlider board effectively unusable (and I would really like to be able to use it)

From the description of the task I am not sure if just changing the aggregation method in a Graphite query from Grafana would fix this, but if you think it would - I can do this in a flick of an eye.

Please advise @Lea_WMDE @Addshore

Mentioned in SAL (#wikimedia-operations) [2018-10-24T08:03:34Z] <godog> fix aggregation to 'sum' for MediaWiki.RevisionSlider - T205416

Apologies for the delay, I've now fixed the aggregation to 'sum' for MediaWiki.RevisionSlider sum metrics, this needs to be done server-side on the graphite hosts as per https://wikitech.wikimedia.org/wiki/Graphite#Applying_carbon_storage_aggregation_changes.

Thanks @fgiunchedi! Just to be sure: That update won't fix already aggregated numbers, but in the future they will now be aggregated correctly?

Thanks @fgiunchedi! Just to be sure: That update won't fix already aggregated numbers, but in the future they will now be aggregated correctly?

That's correct, yes.

Addshore closed this task as Resolved.Nov 5 2018, 11:41 AM
Addshore claimed this task.

This was done in T205416#4691047

Restricted Application added a project: User-Addshore. · View Herald TranscriptNov 5 2018, 11:41 AM